package com.sunwin.visitorapp;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import com.sunwin.visitorapp.activity.HomeAc;
import com.sunwin.visitorapp.activity.VisitorRegActivity;

public class LoginActivity extends BaseActivity implements View.OnClickListener {
    private EditText mEtUserName;
    private EditText mEtPwd;
    private Button mBtnLogin;
    private Button mBtnLoginBySelf;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_login);
        initView();
    }

    private void initView() {
        mEtUserName = (EditText) findViewById(R.id.et_user_name);
        mEtPwd = (EditText) findViewById(R.id.et_pwd);
        mBtnLogin = (Button) findViewById(R.id.btn_login);
        findViewById(R.id.btn_login_by_self).setOnClickListener(this);

        findViewById(R.id.btn_login).setOnClickListener(v -> startActivity(new Intent(LoginActivity.this, HomeAc.class)));

    }

    @Override
    public void onClick(View view) {
        switch (view.getId()) {
            case R.id.btn_login_by_self:
                startActivity(new Intent(this, VisitorRegActivity.class));
                break;
        }
    }
}
