package com.sunwin.visitorapp.activity;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentTransaction;

import com.sunwin.visitorapp.BaseActivity;
import com.sunwin.visitorapp.R;
import com.sunwin.visitorapp.fragment.HomeFr;

public class HomeAc extends BaseActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_home);


        findViewById(R.id.ImageSetting).setOnClickListener(v -> startActivity(new Intent(mContext,SettingAc.class)));

        FragmentManager fragmentManager = getSupportFragmentManager();
        FragmentTransaction fragmentTransaction =fragmentManager.beginTransaction();
        //添加fragment
        fragmentTransaction.add(R.id.FragmentView, new HomeFr());

        fragmentTransaction.commit();
        fragmentManager.executePendingTransactions();

        findViewById(R.id.MenuItemRegister).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                startActivity(new Intent(mContext,VisitorRegisterAc.class));
            }
        });





    }

    @Override
    protected void onResume() {
        super.onResume();

    }
}
