package com.sunwin.visitorapp.activity;

import android.os.Bundle;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.EditText;
import android.widget.Spinner;

import com.sunwin.visitorapp.BaseActivity;
import com.sunwin.visitorapp.R;
import com.sunwin.visitorapp.view.UINav;

public class VisitorRegisterAc extends BaseActivity {


    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.ac_visitor_register);

        UINav uiNav = findViewById(R.id.UINav);
        uiNav.setData(this,"访客登记");

        ViewGroup form = findViewById(R.id.ViewForm);
        setFormEnable(form,false);
        //数据绑定自定义下拉布局文件，并且为每列设置下拉列布局，相当Listview
        String[] ctype = new String[]{"全部","电影","美食","旅游"};
        ArrayAdapter<String> adpter = new ArrayAdapter<String>(this, android.R.layout.simple_spinner_item,ctype);
        adpter.setDropDownViewResource(android.R.layout.simple_spinner_item);

        //获取Spinner组件,
        Spinner spinner = (Spinner) findViewById(R.id.SpinnerReason);
        spinner.setAdapter(adpter);
    }


    private void setFormEnable(ViewGroup form,boolean bool){
        int _ChildCount = form.getChildCount();
        if(_ChildCount>0){
            for (int i = 0;i<_ChildCount;i++){
                View _Child =  form.getChildAt(i);

                if(_Child instanceof Spinner){
                    _Child.setEnabled(bool);
                }else if(_Child instanceof EditText){
                    _Child.setEnabled(bool);
                }else if(_Child instanceof ViewGroup){
                    setFormEnable((ViewGroup)_Child,bool);
                }
            }
        }
    }
}
